
/**
 * Beschreiben Sie hier die Klasse Kreis.
 * 
 * @author (Gabriel Gloßner, Leonhard Braun, Christoph Ermer) 
 * @version (eine Versionsnummer oder ein Datum)
 */
public class Kreis
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private int xMitte;
    private int yMitte;
    private int radius;
    private int farbnummer;
    /**
     * Konstruktor für Objekte der Klasse Kreis 
     * Radius des Kreises: r
     * Abstand des Kreismittelpunkts vom linken Rand: x
     * Abstand des Kreismittelpunkts vom oberen Rand: y
     * Farbe des Kreises: f_kreis
     */
    public Kreis(int r, int x, int y, int f_kreis)
    {
        // Instanzvariable initialisieren
        radius = r; 
        xMitte = x; 
        yMitte = y;
        farbnummer = f_kreis;
    }

     /**
     * Methode zur Bekanntgabe des Radius
     * 
     * @return radius      
     */
    public int getradius()
    {
        return radius;
    }
    
     /**
     * Methode zur Bekanntgabe des X-Wertes
     * 
     * @return      
     */
    public int getxMitte()
    {
        return xMitte ;
    }
    
     /**
     * Methode zur Bekanntgabe des Y-Wertes
     * 
     * @return       
     */
    public int getyMitte()
    {
        return yMitte ;
    }
    
     /**
     * Methode zur Bekanntgabe der Farbe
     * 
     * @return       
     */
    public int getfarbnummer()
    {
        return farbnummer ;
    }
    
    /**
     * setter
     */
     public void setradius(int r)
    {
        radius = r;
    }   
    
    public void setxMitte(int x)
    {
        xMitte = x;
    }   
    
    public void setyMitte(int y)
    {
        yMitte = y;
    }   
    
    public void setfarbnummer(int f_kreis)
    {
        farbnummer = f_kreis;
    }   
    
}
